Visual Studio 2008 – SignTool reported an error SignTool Error: Signtool requires CAPICOM version 2.1.0.1 or higher. Windows 7 and regsvr32.

Today I ran into an interesting error while trying to deploy a new version of a ClickOnce application that I maintain. When publishing my solution from Visual Studio 2008 (9) the following error would occur:

SignTool reported an error SignTool Error: Signtool requires CAPICOM version 2.1.0.1 or higher. Please copy the latest version of CAPICOM.dll into the directory that contains SignTool.exe. If CAPICOM.dll exists, you may not have proper permissions to install CAPICOM.
Follow these steps

Continue reading…